/*
 * @Author: zc
 * @description 常用意见管理
 */
import request from '/@/utils/request';
/**
 * @description 查询常用意见
 * @param {object} params
 */
export const commonList = (params: object) => {
	return request({
		url: `/api/v1/Sys/common-list`,
		method: 'get',
		params,
	});
};
/**
 * @description 新增常用意见
 * @param {object} data
 */
export const addCommon = (data: object) => {
	return request({
		url: `/api/v1/Sys/add-common`,
		method: 'post',
		data,
	});
};
/**
 * @description 删除常用意见
 * @param {object} data
 */
export const deleteCommon = (data: object) => {
	return request({
		url: `/api/v1/Sys/del-common`,
		method: 'post',
		data,
	});
};
/**
 * @description 常用意见基础信息
 * @param {object} params
 */
export const commonBaseData = (params?: object) => {
	return request({
		url: `/api/v1/Sys/common-basepage`,
		method: 'get',
		params,
	});
};
/**
 * @description 公开常用意见列表
 * @param {object} params
 */
export const publicCommonList = (params: object) => {
	return request({
		url: `/api/v1/Sys/open-common`,
		method: 'get',
		params,
	});
};
/**
 * @description 修改公共常用意见
 * @param {object} data
 */
export const commonUpdate = (data: object) => {
	return request({
		url: `/api/v1/Sys/common-modify`,
		method: 'post',
		data,
	});
};